QXmppStartTlsPacket Class Reference
Stanzas

The QXmppStartTlsPacket represents packets used for initiating STARTTLS negotiation when connecting. More...

`#include <QXmppStartTlsPacket.h>`

Inheritance diagram for QXmppStartTlsPacket:
[legend]
Collaboration diagram for QXmppStartTlsPacket:
[legend]

## Public Types

enum | Type { StartTls , Proceed , Failure }
| The type of the STARTTLS packet. More...

## Public Member Functions

| QXmppStartTlsPacket (Type type=StartTls)
Type | type () const
| Returns the type of the STARTTLS packet.
void | setType (Type type)
| Sets the type of the STARTTLS packet.
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
virtual bool | isXmppStanza () const

## Static Public Member Functions

static bool | isStartTlsPacket (const QDomElement &element)
static bool | isStartTlsPacket (const QDomElement &element, Type type)

## Detailed Description

The QXmppStartTlsPacket represents packets used for initiating STARTTLS negotiation when connecting.

## Member Enumeration Documentation

## Type

enum QXmppStartTlsPacket::Type

The type of the STARTTLS packet.

Enumerator
StartTls | Used by the client to initiate STARTTLS.
Proceed | Used by the server to accept STARTTLS.
Failure | Used by the server to reject STARTTLS.

## Constructor & Destructor Documentation

## QXmppStartTlsPacket()

QXmppStartTlsPacket::QXmppStartTlsPacket | ( | Type | type = `StartTls` | ) |

Constructs a new QXmppStartTlsPacket

Parameters

  type | The type of the new QXmppStartTlsPacket.

## Member Function Documentation

## isStartTlsPacket() [1/2]

bool QXmppStartTlsPacket::isStartTlsPacket | ( | const QDomElement & | element | ) |

static

Checks whether the given `element` is a STARTTLS packet according to RFC6120.

Parameters

  element | The element that should be checked for being a STARTTLS packet.

Returns
  True, if the element is a STARTTLS packet.

## isStartTlsPacket() [2/2]

bool QXmppStartTlsPacket::isStartTlsPacket | ( | const QDomElement & | element,
|  | Type | type
| ) |  |

static

Checks whether the given `element` is a STARTTLS packet according to RFC6120 and has the correct type.

Parameters

  element | The element that should be checked for being a STARTTLS packet.
  type | The type the element needs to have.

Returns
  True, if the element is a STARTTLS packet and has the correct type.

The documentation for this class was generated from the following files:

- QXmppStartTlsPacket.h
- QXmppStartTlsPacket.cpp